Package org.gradle.plugins.javascript.envjs.http.simple

# Class SimpleHttpFileServer

java.lang.Object
org.gradle.plugins.javascript.envjs.http.simple.SimpleHttpFileServer

All Implemented Interfaces:
  `HttpFileServer`

public class SimpleHttpFileServer extends Object implements HttpFileServer

## Constructor Summary

Constructors
Constructor
Description
`SimpleHttpFileServer(File contentRoot, int port, org.gradle.internal.concurrent.Stoppable stopper)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getContentRoot()`
`int`
`getPort()`
`String`
`getResourceUrl(String path)`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleHttpFileServer

public SimpleHttpFileServer(File contentRoot, int port, org.gradle.internal.concurrent.Stoppable stopper)

## Method Details

### getPort

public int getPort()

Specified by:
  `getPort` in interface `HttpFileServer`

### getResourceUrl

public String getResourceUrl(String path)

Specified by:
  `getResourceUrl` in interface `HttpFileServer`

### getContentRoot

public File getContentRoot()

Specified by:
  `getContentRoot` in interface `HttpFileServer`

### stop

public void stop()

Specified by:
  `stop` in interface `HttpFileServer`